#----------------------------------------------------#
# This script runs when room 1 is submitted.
#
# Scripter: Liontack
# Called by function: main:update_all
#----------------------------------------------------#



### Check if the submitted answer is a correct one (no netherite, each pair has the same color and each pair has a different color than other pairs)
scoreboard players set b_submit_accepted variables 1

execute if block -6 65 6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -6 65 4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -6 65 2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -6 65 -2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -6 65 -4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -6 65 -6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -4 65 6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -4 65 2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -4 65 -2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -4 65 -6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -2 65 6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -2 65 4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -2 65 2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -2 65 -2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -2 65 -4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -2 65 -6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 2 65 6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 2 65 4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 2 65 2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 2 65 -2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 2 65 -4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 2 65 -6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 4 65 6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 4 65 2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 4 65 -2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 4 65 -6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 6 65 6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 6 65 4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 6 65 2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 6 65 -2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 6 65 -4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 6 65 -6 netherite_block run scoreboard players set b_submit_accepted variables 0


execute unless blocks -4 65 2 -4 65 2 2 65 4 all run scoreboard players set b_submit_accepted variables 0
execute unless blocks -4 65 -2 -4 65 -2 -2 65 4 all run scoreboard players set b_submit_accepted variables 0
execute unless blocks -2 65 -4 -2 65 -4 4 65 -2 all run scoreboard players set b_submit_accepted variables 0
execute unless blocks 2 65 -4 2 65 -4 4 65 2 all run scoreboard players set b_submit_accepted variables 0

execute if blocks -4 65 2 -4 65 2 -4 65 -2 all run scoreboard players set b_submit_accepted variables 0
execute if blocks -4 65 2 -4 65 2 -2 65 -4 all run scoreboard players set b_submit_accepted variables 0
execute if blocks -4 65 2 -4 65 2 2 65 -4 all run scoreboard players set b_submit_accepted variables 0
execute if blocks -4 65 -2 -4 65 -2 -2 65 -4 all run scoreboard players set b_submit_accepted variables 0
execute if blocks -4 65 -2 -4 65 -2 2 65 -4 all run scoreboard players set b_submit_accepted variables 0
execute if blocks -2 65 -4 -2 65 -4 2 65 -4 all run scoreboard players set b_submit_accepted variables 0



### Show if the submission was correct or not
execute if score b_submit_accepted variables matches 0 at @p run summon firework_rocket ~ ~2 ~ {LifeTime:0, FireworksItem: {id:firework_rocket, Count:1, tag:{Fireworks:{Flight:1, Explosions:[{Type:1, Flicker:0, Trail:0, Colors:[I;11743532], FadeColors:[I;1973019,12801229,15435844]}]}}}}
execute if score b_submit_accepted variables matches 1 at @p run summon firework_rocket ~ ~1 ~ {LifeTime:0, FireworksItem: {id:firework_rocket, Count:1, tag:{Fireworks:{Flight:1, Explosions:[{Type:1, Flicker:0, Trail:0, Colors:[I;4312372], FadeColors:[I;3887386]}]}}}}
execute if score b_submit_accepted variables matches 1 run tellraw @a [{"text":"[9] ", "color":"green"}, {"text":"The mobs are matched with their after-lightning variant.", "color":"white"}]



### If the submission is correct, open the way to the next level
execute if score b_submit_accepted variables matches 1 run clone -20 94 -1 -18 97 1 -20 64 -1
execute if score b_submit_accepted variables matches 1 run clone -5 94 -14 -3 97 -12 -5 71 -14
execute if score b_submit_accepted variables matches 1 run clone -18 94 2 -16 97 4 -18 71 2

execute if score b_submit_accepted variables matches 1 run data modify block -9 80 0 Text2 set value '{"text":"Level 10"}'
execute if score b_submit_accepted variables matches 1 run data modify block -4 74 -10 Text2 set value '{"text":""}'

### Close some doors
execute if score b_submit_accepted variables matches 1 run clone 8 90 3 8 92 5 8 72 3
execute if score b_submit_accepted variables matches 1 run clone 3 90 8 5 92 8 3 72 8
execute if score b_submit_accepted variables matches 1 run clone -5 90 8 -3 92 8 -5 72 8
execute if score b_submit_accepted variables matches 1 run clone -8 90 3 -8 92 5 -8 72 3
execute if score b_submit_accepted variables matches 1 run clone -8 90 -5 -8 92 -3 -8 72 -5
execute if score b_submit_accepted variables matches 1 run clone -5 90 -8 -3 92 -8 -5 72 -8
execute if score b_submit_accepted variables matches 1 run clone 3 90 -8 5 92 -8 3 72 -8
execute if score b_submit_accepted variables matches 1 run clone 8 90 -5 8 92 -3 8 72 -5
